Core dump analysis

Submit core dump analysis

POST
/workspaces/{workspaceId}/core-dumps/{coreDumpId}/analyses

Authorization

API key Core dumps: write
AuthorizationBearer <token>

API key (sf_...) with any of the required scopes. Generate it in the Spotflow portal on the settings page.

In: header

Scope: Core dumps: write

Path Parameters

workspaceId*string
Formatuuid
coreDumpId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

symbolFileId*string

Response Body

application/json

curl -X POST "https://example.com/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/core-dumps/string/analyses" \  -H "Content-Type: application/json" \  -d '{    "symbolFileId": "string"  }'
{  "coreDumpId": "string",  "analysisId": "string",  "state": "NotAnalyzed"}